package com.example.smartlaby.screens

import android.annotation.SuppressLint
import android.content.res.Configuration
import android.os.Build
import androidx.annotation.RequiresApi
import androidx.compose.foundation.Image
import androidx.compose.foundation.background
import androidx.compose.foundation.layout.Arrangement
import androidx.compose.foundation.layout.Column
import androidx.compose.foundation.layout.Row
import androidx.compose.foundation.layout.fillMaxSize
import androidx.compose.foundation.layout.fillMaxWidth
import androidx.compose.foundation.layout.padding
import androidx.compose.foundation.layout.size
import androidx.compose.material3.ExperimentalMaterial3Api
import androidx.compose.material3.Text
import androidx.compose.runtime.Composable
import androidx.compose.runtime.LaunchedEffect
import androidx.compose.ui.Alignment
import androidx.compose.ui.Modifier
import androidx.compose.ui.graphics.Brush
import androidx.compose.ui.graphics.Color
import androidx.compose.ui.graphics.ImageBitmap
import androidx.compose.ui.platform.LocalConfiguration
import androidx.compose.ui.res.imageResource
import androidx.compose.ui.text.font.FontFamily
import androidx.compose.ui.text.font.FontWeight
import androidx.compose.ui.unit.dp
import androidx.compose.ui.unit.sp
import androidx.navigation.NavHostController
import com.example.smartlaby.R

import kotlinx.coroutines.delay

@RequiresApi(Build.VERSION_CODES.O)
@SuppressLint("RememberReturnType")
@Composable
fun Screensaver (navController: NavHostController){
    val configuration = LocalConfiguration.current
    if (configuration.orientation == Configuration.ORIENTATION_PORTRAIT) {
        LaunchedEffect(key1 = true) {
            delay(1000L)
            navController.navigate("LogApp") {
                popUpTo("Screensaver")
                {
                    inclusive = true
                }
            }
        }
        Column(modifier = Modifier.fillMaxSize()
            .background(Color.Blue),
            verticalArrangement = Arrangement.Center) {
            Row(
                modifier = Modifier.fillMaxWidth(),
                verticalAlignment = Alignment.CenterVertically,
                horizontalArrangement = Arrangement.Center) {
                Text(
                    modifier = Modifier.padding(end = 11.dp),
                    fontFamily = FontFamily.Serif,
                    text = "Смартлаб",
                    fontSize = 41.sp,
                    fontWeight = FontWeight.Bold,
                    color = Color(0xFFffffff)
                )
                Image(
                    modifier = Modifier.size(39.dp),
                    bitmap = ImageBitmap.imageResource(R.drawable.iconka),
                    contentDescription = "iconka")
            }
        }
    }
}