package com.example.smartlaby.screens.navigation

import android.os.Build
import androidx.annotation.RequiresApi
import androidx.compose.runtime.Composable
import androidx.navigation.compose.NavHost
import androidx.navigation.compose.composable
import androidx.navigation.compose.rememberNavController
import com.example.smartlaby.screens.ConfirmationEmail
import com.example.smartlaby.screens.LogApp
import com.example.smartlaby.screens.NewPassword
import com.example.smartlaby.screens.Screensaver


@RequiresApi(Build.VERSION_CODES.O)
@Composable
fun Navigation() {
    val navController = rememberNavController()
    NavHost(navController = navController,
        startDestination = "Screensaver")
    {
        composable("Screensaver"){
            Screensaver(navController)
        }
        composable("LogApp"){
            LogApp(navController)
        }
        composable("ConfirmationEmail"){
            ConfirmationEmail(navController)
        }
        composable("NewPassword"){
            NewPassword(navController)
        }
    }
}